Home | All Classes | Grouped Classes | Index | Search

# Class CL_SpritePacker

Packs sprite into one or more textures. More...

Derived from: none
Derived by: none
Group: Display (Sprites)

#include <ClanLib/display.h>

Construction:

CL_SpritePacker | Constructs a CL_SpritePacker.

Attributes:

get_texture_sizes | Returns a list over all the textures needed for the packed-frames.
TexturePair |
get_frames | Returns a list over all frames - which texture it is packed in and where within the texture it is located.

Operations:

pack | Packs all frames into one or more textures. Returns false if it was unable to pack all frames.

Detailed description:

!group=Display/Sprites! !header=display.h!
Questions or comments, write to the ClanLib mailing list.